#pragma once

#include <QWidget>
#include <QHBoxLayout>
#include <QVboxLayout>
#include <QPushButton>
#include <QLabel>
#include "ui_settingsscreen.h"
#include "switchbutton.h"


class SettingsScreen : public QWidget
{
	Q_OBJECT

public:
	SettingsScreen(QWidget *parent = Q_NULLPTR);
	~SettingsScreen();

private:
	Ui::SettingsScreen ui;
	QLabel *autoStart_label;
	QLabel *addDesktopLink_label;
	QPushButton *addDesktopLink;
	 SwitchButton *autoStart;
	QHBoxLayout *layout;
	QVBoxLayout *left;
	QLabel *information;
private slots:
	void createShortCut();
};
